# FTXUI: node.hpp File Reference

Loading...
Searching...
No Matches
node.hpp File Reference

Go to the source code of this file.

## Classes

class | Node
| Node is the base class for all elements in the DOM tree. More...
struct | Node::Status

## Namespaces

namespace | ftxui
| The FTXUI ftxui:: namespace.

## Functions

void | Render (Screen &screen, const Element &element)
| Display an element on a ftxui::Screen.
void | Render (Screen &screen, Node *node)
| Display an element on a ftxui::Screen.
void | Render (Screen &screen, Node *node, Selection &selection)
std::string | GetNodeSelectedContent (Screen &screen, Node *node, Selection &selection)